export type CharMap = Record<string, {
    math?: string;
    text?: string;
    commandspacer?: boolean;
}>;
export type TeXMap = {
    base: CharMap;
    package: Record<string, CharMap>;
    provides: Record<string, string>;
    stopgap: string;
};
export declare const biblatex: TeXMap;
export declare const bibtex: TeXMap;
export declare const minimal: TeXMap;
export declare const latex2unicode: Record<string, string>;
export declare const diacritics: {
    commands: string[];
    tolatex: Record<string, {
        command: string;
        mode: 'text' | 'math';
    }>;
    tounicode: Record<string, string>;
};
export type Options = {
    packages?: string[];
    math?: string;
    text?: string;
    ascii?: string;
    charmap?: CharMap;
};
export declare function load(mode: 'bibtex' | 'biblatex' | 'minimal', options?: Options): CharMap;
