"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.load = exports.diacritics = exports.latex2unicode = exports.minimal = exports.bibtex = exports.biblatex = void 0;
exports.biblatex = require('./tables/biblatex.json');
exports.bibtex = require('./tables/bibtex.json');
exports.minimal = require('./tables/minimal.json');
const maps = { biblatex: exports.biblatex, bibtex: exports.bibtex, minimal: exports.minimal };
exports.latex2unicode = require('./tables/latex2unicode.json');
exports.diacritics = require('./tables/diacritics.json');
function load(mode, options) {
    let map = Object.assign({}, maps[mode].base);
    const packages = maps[mode].package;
    for (const pkg of (options.packages || []).map(p => packages[p]).filter(p => p)) {
        map = Object.assign(Object.assign({}, map), pkg);
    }
    for (const c of (options.text || '')) {
        if (map[c].text)
            delete map[c].math;
    }
    for (const c of (options.math || '')) {
        if (map[c].math)
            delete map[c].text;
    }
    for (const c of (options.ascii || '')) {
        if (exports.bibtex.base[c])
            map[c] = exports.bibtex.base[c];
    }
    if (options.charmap)
        map = Object.assign(Object.assign({}, map), options.charmap);
    return map;
}
exports.load = load;
